Placement API

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Placement API and the translation is 83% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română
(October 2019) Do not edit this page. The information is incomplete and outdated. For the latest API, see the autogenerated API documentation, or generate the documentation yourself, see Source documentation.


Una ubicación en FreeCAD es un objeto definiendo una posición y rotación.

The Placement concept is explained in detail here: Placement.

Una ubicación se puede añadir a un objeto de FreeCAD, para orientarlo/posicionarlo en el documento. Por ejemplo:

myObj = FreeCAD.ActiveDocument.ActiveObject
pl = FreeCAD.Placement()
pl.move(FreeCAD.Vector(2,0,0))
myObj.Placement = pl
Class.png Placement ( ) o (Placement) o (Matrix) o (Base, Rotation) o (Base,Rotation,Center) o (Base,Axis,Angle )

Descrición: Construye una ubicación, vacía o con los argumentos dados, o como una copia de la ubicación dada.


Property.png Base

Devuelve: Un vector representando la posición de la Ubicación.


Property.png Rotation

Devuelve: Una cuaterna representando la rotación de la Ubicación.


Method.png inverse ( )

Descripción: Calcula la ubicación inversa

Devuelve: Una ubicación.


Method.png move ( Vector )

Descripción: Mueve la Ubicación a lo largo del vector dado

Devuelve: Nada


Method.png multVec ( Vector )

Descripción: Aplica la ubicación al vector dado

Devuelve: El vector resultante.


Method.png multiply ( Placement )

Descripción: Multiplica esta Ubicación con otra

Devuelve: La Ubicación resultante.


Method.png toMatrix ( )

Descripción:

Devuelve: Una matriz representando la transformación de la Ubicación.